/**
 * Copyright (C) 2010 Cloudfarming <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nl.cloudfarming.client.sensor.area;

/**
 * keep track of number of processed records per Field
 *
 * @author Johan Reitzema
 */
public class LinkSensorFieldTaskResult {

    protected long linkedSensorDataCount;
    protected long newSensorRunCount;

    public LinkSensorFieldTaskResult(long linkedSensorDataCount, long newSensorRunCount) {
        this.linkedSensorDataCount = linkedSensorDataCount;
        this.newSensorRunCount = newSensorRunCount;
    }

    public long getLinkedSensorDataCount() {
        return linkedSensorDataCount;
    }

    public long getNewSensorRunCount() {
        return newSensorRunCount;
    }
}
